Index: ubiquity/d-i/source/grub-installer/grub-installer
===================================================================
--- ubiquity.orig/d-i/source/grub-installer/grub-installer
+++ ubiquity/d-i/source/grub-installer/grub-installer
@@ -193,6 +193,11 @@ update_grub () {
 		db_progress STOP
 		exit 1
 	fi
+	if [ -e /target/boot/efi/EFI/neon/grub.cfg ]; then
+		echo "grub-installer: copying boot/efi/EFI/neon/grub.cfg to boot/efi/EFI/ubuntu for hardcoded grub path"
+		mkdir /target/boot/efi/EFI/ubuntu/ || true
+		cp /target/boot/efi/EFI/neon/grub.cfg /target/boot/efi/EFI/ubuntu/grub.cfg
+	fi
 }
 
 findfs () {
